Subject: Re: [Dri-devel] Re: Kind of success! (r128 on PPC (Re: LinuxPPC X Server))

From: Michel Dänzer <[email-masked]>
Date: Mon, 07 Aug 2000 09:14:10 +0200

Kostas Gewrgiou wrote:

> > The remaining problems are:
> >
> > 16 bit doesn't work neither with fbdev (colors completely off - does
> > aty128fb still use 15 bit in fact?) nor without (at least the grey tones
> > are right there - wrong endianness?)
>
> Yes aty128fb still doesn't support 16 bit, you could run the r128 driver
> without fbdev to get 16 bits, but the code to switch the framebuffer to do
> byteswapping is missing so the colors will be wrong

Yep, that's the second thing I was referring to.

> (easy to add though).

Where and how?

> > About performance: It's much better than software rendering (at least for
> > big windows) of course, however not too fast with lots of polygons. AGP
> > GART would definitely be a good thing I guess (Ben: hint, hint :)
>
> Do you have any numbers from gears, glquake etc ??

The numbers are very varying and not too high yet. AGP GART should change
that.

Michel

--
                                Tax the rich.
______________________________________________________________________________
Earthling Michel Dänzer (MrCooper)  \  CS student and free software enthusiast
Debian GNU/Linux (powerpc,i386) user \   member of XFree86, Team *AMIGA*, AUGS

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/